Bug 66970 - kmail explodes w/ a large home directory when using imap
kmail explodes w/ a large home directory when using imap
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kdenetwork (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks: 67218 79579 CambridgeTarget
  Show dependency treegraph
 
Reported: 2002-06-19 07:14 EDT by David Sainty
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-28 06:32:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Sainty 2002-06-19 07:14:17 EDT
Description of Problem:
kmail attempts to read in the entire home directory contents when using imap to
a RHL 7.3 mail server.  If there is for example, a few thousand files in the
home directory (e.g. in ~/export there exists a RHL tree, kmail will take a long
time seemingly stalled, before then displaying hundreds of KNotify messages:

"""
Cannot Open file
<blah>

Too many open files.
"""

Given the hundreds of windows that try to appear, X invariably freezes.  Anybody
w/ a large home directory may see this problem - and this must be v.frustrating.

Version-Release number of selected component (if applicable):
Seen in KDE 3.0.0 and 3.0.1.

How Reproducible:
Consistent, even on different machines.

Steps to Reproduce:
1. add a few thousand files into a directory just off ~
2. start kmail for first time and configure imap e-mail.
3. allow kmail to check imap mail and folders for first time.

Actual Results:
kmail and the entire X session basically die.

Expected Results:
kmail should read what it can, potentially not even try to explore directories
until you expand them!  Knotify should certainly not report hundreds of
individual errors.

Additional Information:
Comment 1 Ngo Than 2004-07-28 06:32:18 EDT
it's not reproduceable in current release.

Note You need to log in before you can comment on or make changes to this bug.